# get-pkgs [![NPM version](https://img.shields.io/npm/v/get-pkgs.svg?style=flat)](https://www.npmjs.com/package/get-pkgs) [![NPM downloads](https://img.shields.io/npm/dm/get-pkgs.svg?style=flat)](https://npmjs.org/package/get-pkgs) [![Build Status](https://img.shields.io/travis/jonschlinkert/get-pkgs.svg?style=flat)](https://travis-ci.org/jonschlinkert/get-pkgs)

> Get the package.json for an array of repos from the npm registry, optionally filtering properties using glob patterns.

## Install

Install with [npm](https://www.npmjs.com/):

```sh
$ npm install get-pkgs --save
```

## Usage

```js
var getPkgs = require('get-pkgs');

getPkgs(['assemble', 'verb'], function(err, pkgs) {
  console.log(pkgs);
});
```

## Related projects

You might also be interested in these projects:

* [get-first-commit](https://www.npmjs.com/package/get-first-commit): Returns a git repository's first commit as a JavaScript object. | [homepage](https://github.com/jonschlinkert/get-first-commit)
* [get-pkg](https://www.npmjs.com/package/get-pkg): Get the package.json for a project from npm. | [homepage](https://github.com/jonschlinkert/get-pkg)
* [github-base](https://www.npmjs.com/package/github-base): Base methods for creating node.js apps that work with the GitHub API. | [homepage](https://github.com/jonschlinkert/github-base)

## Contributing

Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/jonschlinkert/get-pkgs/issues/new).

## Building docs

Generate readme and API documentation with [verb](https://github.com/verbose/verb):

```sh
$ npm install verb && npm run docs
```

Or, if [verb](https://github.com/verbose/verb) is installed globally:

```sh
$ verb
```

## Running tests

Install dev dependencies:

```sh
$ npm install -d && npm test
```

## Author

**Jon Schlinkert**

* [github/jonschlinkert](https://github.com/jonschlinkert)
* [twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License

Copyright © 2016, [Jon Schlinkert](https://github.com/jonschlinkert).
Released under the [MIT license](https://github.com/jonschlinkert/get-pkgs/blob/master/LICENSE).

***

_This file was generated by [verb](https://github.com/verbose/verb), v0.9.0, on April 11, 2016._